POLYGEN(1)

NAME
Polygen - Polygen is a program for creating deep nonsense according to a grammar definition, that is following custom syntactical and lexical rules.

SYNOPSIS
polygen [options] sources

DESCRIPTION
Polygen is a powerful system for generating spontaneous sentences according to a grammar definition, that is following custom syntactical and lexical rules.

Formally, it is an interpreter of a language itself designed to define languages, where to interpret means executing a source program in real time and eventually outputting its result.

Here a source program is a grammar definition, the execution consists in the exploration of such grammar by selecting a random path and the result is the sentence built on the way.

Though PolyGen is quite a seriuos piece of software then, what else would be more noble for it than being used as a parody tool for linguistical habits, stereotypes and trends of this foolish era?

Principles of parody are focusing a ridiculous topic and eventually abstracting its rules and schemes (here in terms of a grammar definition) by which reproducing it through the variatio device.

And randomization is perfect at this purpose thanks to its purely asemantic behaviour =:)

OPTIONS
Please run polygen without parameters for an explanation on how to run polygen.

SEE ALSO
polygen-data(6), http://www.pdos.lcs.mit.edu/scigen/

AUTHOR
Manta

This manpage has been generated after instructions given by Enrico Zini <enrico@debian.org>.